#
# spec file for package x264_tMod 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define binname x264
Name:           x264_tMod
%define soname 142
Version:	0.%{soname}git20140421
%define rel marguerite
Release:	1.16
License:	GPL-2.0+
Summary:	x264 tMod - patched x264_L-SMASH encoder
Url:	https://github.com/astrataro/x264_tMod
Group:	Productivity/Multimedia/Video/Editors and Convertors
Source:	%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM marguerite@opensuse.org 
# remove -march=i686 and -mfpmath=sse -msse for i586
Patch:  x264-remove-mfpmath-sse-msse-cflags.patch
BuildRequires:	libffms2-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	l-smash-devel
BuildRequires:	pkg-config
BuildRequires:	nasm
BuildRequires:	yasm
# xxd requirement
BuildRequires:  vim-base
Provides:	%{binname} = %{version}
Obsoletes:	%{binname} < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a shared library and a commandline tool for encoding
H264 streams. This library is needed for mplayer/mencoder for H264
encoding support.

Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices (currently disabled)

Patches:
00: L-Smash（including audio encoding）
01: Add an option to use r2204 style progress indicator
02: More detailed version head
03: Add back “touhou” tune
04: Film Grain Optimization
05: Fade Compensation
06: Remove stats before renaming
07: Add a parameter to set level of writing options in User Data Unregistered SEI
08: Utilize internal threading in lavf/ffms
09: Auto VBV settings
10: AVI output
11: filters hqdn3d pad vflip yadif patch
12: Log file
13: Encoding time
14: Level force
15: Profile force
16: Cosmetic
17: New experimental AQ mode (modification of Auto-variance AQ)
18: Print video info with lavf/ffms demuxer
19: lto & Ofast
20: AviSynth 16bit hack
21: Skip bit depth filter when possible
22: Use f3kdb for bit depth conversion when needed
23: Video filter: subtitles
24: Detect color matrix with lavf/ffms demuxer
25: Fix AviSynth color space converting matrix
26: Fix swscale color space converting matrix
27: Support “dgi” file extension
28: Variable progress precision, print encoded file size & estimated total size
29: More detailed “zones” help
30: Unofficial --device
31: Correct framerate of AviSynth to proper NTSC fraction if applicable
32: Add “libaacplus”
33: High bit depth y4m support, with skipping depth filter enabled

%prep
%setup -q
%patch -p1

%build
%configure \
	--enable-visualize \
%ifarch x86_64
	--enable-pic \
%endif
	--enable-shared \
	--bit-depth=10 \
	--enable-nonfree \
	--enable-lto 

make %{?_smp_mflags}

%install
%make_install

# rename
mv %{buildroot}%{_bindir}/%{binname} %{buildroot}%{_bindir}/%{name}

# remove lib and include
rm -rf %{buildroot}%{_libdir}
rm -rf %{buildroot}%{_includedir}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.qtaacenc doc/*.txt
%attr(0755,root,root) %{_bindir}/%{name}

%changelog
* Mon Apr 21 2014 i@margueirte.su
- update version 0.142git20140421
- fix i586 builds by disable PIC
* Mon Feb 25 2013 marguerite@opensuse.org
- initial package git20120223.
- x264_tMod has no gpac support. caution!
